<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full flex">
  <div class="h-full w-[calc(800px)] bg-primary-50 overflow-y-auto pb-20 flex flex-col items-end">
    <div class="p-6">
      <p-button
        icon="pi pi-times"
        severity="danger"
        [rounded]="true"
        (onClick)="goBackToEntrypoint()"
      ></p-button>
    </div>
    <div class="grow flex flex-col items-center text-center w-full h-full justify-center">
      <div class="text-xl font-semibold text-center tracking-wider">Spade Platform Login</div>
      <div class="pt-6 text-text-300 font-normal text-base w-96">
        Access you services and manage your
        <span class="text-secondary-900 cursor-pointer" (click)="visible = true">Data Brokers</span> and collaboration
        rules from a single location.
      </div>
      <div class="pt-10">
        <div class="bg-secondary-900 rounded-sm text-white text-center flex flex-col items-center gap-8 pb-24">
          <div class="flex gap-4 items-center w-full">
            <div
              class="flex justify-center items-center rounded-br-full rounded-tl-[900px] bg-primary-200 w-32 h-20 pr-4 pb-2"
            >
              <img src="assets/images/spade-logo.svg" alt="" style="height: 28px; margin-top: 4px" />
            </div>
          </div>
          <div class="text-white px-16 w-96 text-center">To access the platform features</div>
          <p-button label="Login to Spade" (onClick)="loginToPlatform()" [loading]="loading"></p-button>
        </div>
      </div>
      <div class="w-32 pt-12">
        <app-divider></app-divider>
      </div>
      <div class="flex divide-y divide-borderGrey flex-col justify-start pt-6 pb-20">
        <p-button
          [text]="true"
          severity="secondary"
          label="Connect to a Data Broker"
          routerLink="/onboarding/connect-to-node"
        ></p-button>
      </div>
    </div>
  </div>
  <div class="grow h-full relative">
    <img src="assets/images/spade-bg.jpeg" class="w-full h-full object-cover" alt="" />
    <div class="absolute top-0 left-0 w-full h-full bg-black bg-opacity-20"></div>
  </div>
</div>
<p-dialog [(visible)]="visible" header="Data Broker" [modal]="true" [draggable]="false">
  <div class="flex flex-col gap-8">
    <div class="w-[600px] text-text-500">
      A Data Broker is a software solution that you install within your infrastructure, enabling seamless and secure
      data sharing among various stakeholders.
    </div>
    <div class="w-[600px] text-text-300 text-sm">
      The Data Broker is a component of the Spade Project, funded by the European Union's Horizon Europe research and
      innovation programme under Grant Agreement No. 101060778.
    </div>
    <div class="w-full flex items-end justify-end">
      <p-button [link]="true" (onClick)="goToNodeDocumentation()">
        <div class="flex gap-2 items-center">
          <div class="font-semibold">more info</div>
          <i class="pi pi-chevron-right"></i>
        </div>
      </p-button>
    </div>
  </div>
</p-dialog>
